﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __eMoneyPhoneNumber = LightSwitchApplication.eMoneyPhoneNumber
Imports __SuppliedProduct = LightSwitchApplication.SuppliedProduct

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class eMoneyPhoneNumber
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the eMoneyPhoneNumber entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __eMoneyPhoneNumber))
            MyBase.New(entitySet)
            
            __eMoneyPhoneNumber.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub eMoneyPhoneNumber_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub eMoneyPhoneNumber_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __eMoneyPhoneNumber.DetailsClass.GetValue(Me, __eMoneyPhoneNumber.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __eMoneyPhoneNumber.DetailsClass.SetValue(Me, __eMoneyPhoneNumber.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __eMoneyPhoneNumber.DetailsClass.GetValue(Me, __eMoneyPhoneNumber.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __eMoneyPhoneNumber.DetailsClass.SetValue(Me, __eMoneyPhoneNumber.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PhoneNumber As String
            Get
                Return __eMoneyPhoneNumber.DetailsClass.GetValue(Me, __eMoneyPhoneNumber.DetailsClass.PropertySetProperties.PhoneNumber)
            End Get
            Set
                __eMoneyPhoneNumber.DetailsClass.SetValue(Me, __eMoneyPhoneNumber.DetailsClass.PropertySetProperties.PhoneNumber, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PhoneNumber_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PhoneNumber_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PhoneNumber_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Description As String
            Get
                Return __eMoneyPhoneNumber.DetailsClass.GetValue(Me, __eMoneyPhoneNumber.DetailsClass.PropertySetProperties.Description)
            End Get
            Set
                __eMoneyPhoneNumber.DetailsClass.SetValue(Me, __eMoneyPhoneNumber.DetailsClass.PropertySetProperties.Description, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Description_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Description_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Description_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property TenantPayments As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.TenantPayment)
            Get
                Return __eMoneyPhoneNumber.DetailsClass.GetValue(Me, __eMoneyPhoneNumber.DetailsClass.PropertySetProperties.TenantPayments)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property TenantPaymentsQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.TenantPayment)
            Get
                Return __eMoneyPhoneNumber.DetailsClass.GetQuery(Me, __eMoneyPhoneNumber.DetailsClass.PropertySetProperties.TenantPayments)
            End Get
        End Property

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __eMoneyPhoneNumber, _
                __eMoneyPhoneNumber.DetailsClass, _
                __eMoneyPhoneNumber.DetailsClass.IImplementation, _
                __eMoneyPhoneNumber.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __eMoneyPhoneNumber.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __eMoneyPhoneNumberEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass).Entry( _
                    AddressOf __eMoneyPhoneNumber.DetailsClass.__eMoneyPhoneNumber_CreateNew, _
                    AddressOf __eMoneyPhoneNumber.DetailsClass.__eMoneyPhoneNumber_Created, _
                    AddressOf __eMoneyPhoneNumber.DetailsClass.__eMoneyPhoneNumber_AllowSaveWithErrors)
            Private Shared Function __eMoneyPhoneNumber_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __eMoneyPhoneNumber)) As __eMoneyPhoneNumber
                Return New __eMoneyPhoneNumber(es)
            End Function
            Private Shared Sub __eMoneyPhoneNumber_Created(e As __eMoneyPhoneNumber)
                e.eMoneyPhoneNumber_Created()
            End Sub
            Private Shared Function __eMoneyPhoneNumber_AllowSaveWithErrors(e As __eMoneyPhoneNumber) As Boolean
                Dim result As Boolean = False
                e.eMoneyPhoneNumber_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __eMoneyPhoneNumber.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__eMoneyPhoneNumber.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__eMoneyPhoneNumber.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property PhoneNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__eMoneyPhoneNumber.DetailsClass.PropertySetProperties.PhoneNumber),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Description As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__eMoneyPhoneNumber.DetailsClass.PropertySetProperties.Description),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property TenantPayments As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Global.LightSwitchApplication.TenantPayment)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__eMoneyPhoneNumber.DetailsClass.PropertySetProperties.TenantPayments),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Global.LightSwitchApplication.TenantPayment))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property PhoneNumber As String
                Shadows Property Description As String
                Shadows ReadOnly Property TenantPayments As Global.System.Collections.IEnumerable
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __eMoneyPhoneNumber.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Integer).Data), d As __eMoneyPhoneNumber.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __eMoneyPhoneNumber) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __eMoneyPhoneNumber, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __eMoneyPhoneNumber.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __eMoneyPhoneNumber.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __eMoneyPhoneNumber)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __eMoneyPhoneNumber.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Byte()).Data), d As __eMoneyPhoneNumber.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __eMoneyPhoneNumber) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __eMoneyPhoneNumber, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __eMoneyPhoneNumber.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __eMoneyPhoneNumber.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __eMoneyPhoneNumber)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PhoneNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, String).Entry( _
                        "PhoneNumber", _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._PhoneNumber_Stub, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._PhoneNumber_ComputeIsReadOnly, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._PhoneNumber_Validate, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._PhoneNumber_GetImplementationValue, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._PhoneNumber_SetImplementationValue, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._PhoneNumber_OnValueChanged)
                Private Shared Sub _PhoneNumber_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __eMoneyPhoneNumber.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, String).Data), d As __eMoneyPhoneNumber.DetailsClass, sf As Object)
                    c(d, d._PhoneNumber, sf)
                End Sub
                Private Shared Function _PhoneNumber_ComputeIsReadOnly(e As __eMoneyPhoneNumber) As Boolean
                    Dim result As Boolean = False
                    e.PhoneNumber_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PhoneNumber_Validate(e As __eMoneyPhoneNumber, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PhoneNumber_Validate(r)
                End Sub
                Private Shared Function _PhoneNumber_GetImplementationValue(d As __eMoneyPhoneNumber.DetailsClass) As String
                    Return d.ImplementationEntity.PhoneNumber
                End Function
                Private Shared Sub _PhoneNumber_SetImplementationValue(d As __eMoneyPhoneNumber.DetailsClass, v As String)
                    d.ImplementationEntity.PhoneNumber = v
                End Sub
                Private Shared Sub _PhoneNumber_OnValueChanged(e As __eMoneyPhoneNumber)
                    e.PhoneNumber_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Description As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, String).Entry( _
                        "Description", _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._Description_Stub, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._Description_ComputeIsReadOnly, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._Description_Validate, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._Description_GetImplementationValue, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._Description_SetImplementationValue, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._Description_OnValueChanged)
                Private Shared Sub _Description_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __eMoneyPhoneNumber.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, String).Data), d As __eMoneyPhoneNumber.DetailsClass, sf As Object)
                    c(d, d._Description, sf)
                End Sub
                Private Shared Function _Description_ComputeIsReadOnly(e As __eMoneyPhoneNumber) As Boolean
                    Dim result As Boolean = False
                    e.Description_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Description_Validate(e As __eMoneyPhoneNumber, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Description_Validate(r)
                End Sub
                Private Shared Function _Description_GetImplementationValue(d As __eMoneyPhoneNumber.DetailsClass) As String
                    Return d.ImplementationEntity.Description
                End Function
                Private Shared Sub _Description_SetImplementationValue(d As __eMoneyPhoneNumber.DetailsClass, v As String)
                    d.ImplementationEntity.Description = v
                End Sub
                Private Shared Sub _Description_OnValueChanged(e As __eMoneyPhoneNumber)
                    e.Description_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly TenantPayments As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Global.LightSwitchApplication.TenantPayment).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Global.LightSwitchApplication.TenantPayment).Entry( _
                        "TenantPayments", _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._TenantPayments_Stub, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._TenantPayments_GetReferencedEntities, _
                        AddressOf __eMoneyPhoneNumber.DetailsClass.PropertySetProperties._TenantPayments_GetEntityCollection)
                Private Shared Sub _TenantPayments_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __eMoneyPhoneNumber.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Global.LightSwitchApplication.TenantPayment).Data), d As __eMoneyPhoneNumber.DetailsClass, sf As Object)
                    c(d, d._TenantPayments, sf)
                End Sub
                Private Shared Function _TenantPayments_GetReferencedEntities(d As __eMoneyPhoneNumber.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.TenantPayment)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.TenantPayment, Global.LightSwitchApplication.TenantPayment.DetailsClass)(__eMoneyPhoneNumber.DetailsClass.PropertySetProperties.TenantPayments, d._TenantPayments)
                End Function
                Private Shared Function _TenantPayments_GetEntityCollection(d As __eMoneyPhoneNumber.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.TenantPayments
                End Function
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PhoneNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Description As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _TenantPayments As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __eMoneyPhoneNumber, __eMoneyPhoneNumber.DetailsClass, Global.LightSwitchApplication.TenantPayment).Data
            
        End Class
    
        #End Region
    
    End Class
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class SuppliedProduct
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __SuppliedProduct, __SuppliedProduct.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the SuppliedProduct entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __SuppliedProduct))
            MyBase.New(entitySet)
            
            __SuppliedProduct.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SuppliedProduct_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SuppliedProduct_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __SuppliedProduct.DetailsClass.GetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __SuppliedProduct.DetailsClass.SetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __SuppliedProduct.DetailsClass.GetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __SuppliedProduct.DetailsClass.SetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ProductName As String
            Get
                Return __SuppliedProduct.DetailsClass.GetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.ProductName)
            End Get
            Set
                __SuppliedProduct.DetailsClass.SetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.ProductName, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ProductName_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ProductName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ProductName_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Quantity As Double
            Get
                Return __SuppliedProduct.DetailsClass.GetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.Quantity)
            End Get
            Set
                __SuppliedProduct.DetailsClass.SetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.Quantity, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Quantity_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Quantity_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Quantity_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Comment As String
            Get
                Return __SuppliedProduct.DetailsClass.GetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.Comment)
            End Get
            Set
                __SuppliedProduct.DetailsClass.SetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.Comment, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Comment_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Comment_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Comment_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property SupplyHeader As Global.LightSwitchApplication.SupplyHeader
            Get
                Return __SuppliedProduct.DetailsClass.GetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.SupplyHeader)
            End Get
            Set
                __SuppliedProduct.DetailsClass.SetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.SupplyHeader, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplyHeader_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplyHeader_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplyHeader_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property InvoiceHeader As Global.LightSwitchApplication.InvoiceHeader
            Get
                Return __SuppliedProduct.DetailsClass.GetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.InvoiceHeader)
            End Get
            Set
                __SuppliedProduct.DetailsClass.SetValue(Me, __SuppliedProduct.DetailsClass.PropertySetProperties.InvoiceHeader, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceHeader_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceHeader_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceHeader_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __SuppliedProduct, _
                __SuppliedProduct.DetailsClass, _
                __SuppliedProduct.DetailsClass.IImplementation, _
                __SuppliedProduct.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __SuppliedProduct, __SuppliedProduct.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __SuppliedProduct, __SuppliedProduct.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __SuppliedProduct.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __SuppliedProductEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __SuppliedProduct, __SuppliedProduct.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __SuppliedProduct, __SuppliedProduct.DetailsClass).Entry( _
                    AddressOf __SuppliedProduct.DetailsClass.__SuppliedProduct_CreateNew, _
                    AddressOf __SuppliedProduct.DetailsClass.__SuppliedProduct_Created, _
                    AddressOf __SuppliedProduct.DetailsClass.__SuppliedProduct_AllowSaveWithErrors)
            Private Shared Function __SuppliedProduct_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __SuppliedProduct)) As __SuppliedProduct
                Return New __SuppliedProduct(es)
            End Function
            Private Shared Sub __SuppliedProduct_Created(e As __SuppliedProduct)
                e.SuppliedProduct_Created()
            End Sub
            Private Shared Function __SuppliedProduct_AllowSaveWithErrors(e As __SuppliedProduct) As Boolean
                Dim result As Boolean = False
                e.SuppliedProduct_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __SuppliedProduct, __SuppliedProduct.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __SuppliedProduct, __SuppliedProduct.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __SuppliedProduct.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __SuppliedProduct, __SuppliedProduct.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SuppliedProduct.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SuppliedProduct.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property ProductName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SuppliedProduct.DetailsClass.PropertySetProperties.ProductName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Quantity As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Double)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SuppliedProduct.DetailsClass.PropertySetProperties.Quantity),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Double))
                    End Get
                End Property
                
                Public ReadOnly Property Comment As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SuppliedProduct.DetailsClass.PropertySetProperties.Comment),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property SupplyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Global.LightSwitchApplication.SupplyHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SuppliedProduct.DetailsClass.PropertySetProperties.SupplyHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Global.LightSwitchApplication.SupplyHeader))
                    End Get
                End Property
                
                Public ReadOnly Property InvoiceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Global.LightSwitchApplication.InvoiceHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SuppliedProduct.DetailsClass.PropertySetProperties.InvoiceHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Global.LightSwitchApplication.InvoiceHeader))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property ProductName As String
                Shadows Property Quantity As Double
                Shadows Property Comment As String
                Shadows Property SupplyHeader As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                Shadows Property InvoiceHeader As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SuppliedProduct.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Integer).Data), d As __SuppliedProduct.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __SuppliedProduct) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __SuppliedProduct, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __SuppliedProduct.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __SuppliedProduct.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __SuppliedProduct)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SuppliedProduct.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Byte()).Data), d As __SuppliedProduct.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __SuppliedProduct) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __SuppliedProduct, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __SuppliedProduct.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __SuppliedProduct.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __SuppliedProduct)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ProductName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, String).Entry( _
                        "ProductName", _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._ProductName_Stub, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._ProductName_ComputeIsReadOnly, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._ProductName_Validate, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._ProductName_GetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._ProductName_SetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._ProductName_OnValueChanged)
                Private Shared Sub _ProductName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SuppliedProduct.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, String).Data), d As __SuppliedProduct.DetailsClass, sf As Object)
                    c(d, d._ProductName, sf)
                End Sub
                Private Shared Function _ProductName_ComputeIsReadOnly(e As __SuppliedProduct) As Boolean
                    Dim result As Boolean = False
                    e.ProductName_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ProductName_Validate(e As __SuppliedProduct, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ProductName_Validate(r)
                End Sub
                Private Shared Function _ProductName_GetImplementationValue(d As __SuppliedProduct.DetailsClass) As String
                    Return d.ImplementationEntity.ProductName
                End Function
                Private Shared Sub _ProductName_SetImplementationValue(d As __SuppliedProduct.DetailsClass, v As String)
                    d.ImplementationEntity.ProductName = v
                End Sub
                Private Shared Sub _ProductName_OnValueChanged(e As __SuppliedProduct)
                    e.ProductName_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Quantity As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Double).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Double).Entry( _
                        "Quantity", _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Quantity_Stub, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Quantity_ComputeIsReadOnly, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Quantity_Validate, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Quantity_GetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Quantity_SetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Quantity_OnValueChanged)
                Private Shared Sub _Quantity_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SuppliedProduct.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Double).Data), d As __SuppliedProduct.DetailsClass, sf As Object)
                    c(d, d._Quantity, sf)
                End Sub
                Private Shared Function _Quantity_ComputeIsReadOnly(e As __SuppliedProduct) As Boolean
                    Dim result As Boolean = False
                    e.Quantity_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Quantity_Validate(e As __SuppliedProduct, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Quantity_Validate(r)
                End Sub
                Private Shared Function _Quantity_GetImplementationValue(d As __SuppliedProduct.DetailsClass) As Double
                    Return d.ImplementationEntity.Quantity
                End Function
                Private Shared Sub _Quantity_SetImplementationValue(d As __SuppliedProduct.DetailsClass, v As Double)
                    d.ImplementationEntity.Quantity = v
                End Sub
                Private Shared Sub _Quantity_OnValueChanged(e As __SuppliedProduct)
                    e.Quantity_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Comment As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, String).Entry( _
                        "Comment", _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Comment_Stub, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Comment_ComputeIsReadOnly, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Comment_Validate, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Comment_GetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Comment_SetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._Comment_OnValueChanged)
                Private Shared Sub _Comment_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SuppliedProduct.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, String).Data), d As __SuppliedProduct.DetailsClass, sf As Object)
                    c(d, d._Comment, sf)
                End Sub
                Private Shared Function _Comment_ComputeIsReadOnly(e As __SuppliedProduct) As Boolean
                    Dim result As Boolean = False
                    e.Comment_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Comment_Validate(e As __SuppliedProduct, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Comment_Validate(r)
                End Sub
                Private Shared Function _Comment_GetImplementationValue(d As __SuppliedProduct.DetailsClass) As String
                    Return d.ImplementationEntity.Comment
                End Function
                Private Shared Sub _Comment_SetImplementationValue(d As __SuppliedProduct.DetailsClass, v As String)
                    d.ImplementationEntity.Comment = v
                End Sub
                Private Shared Sub _Comment_OnValueChanged(e As __SuppliedProduct)
                    e.Comment_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SupplyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Global.LightSwitchApplication.SupplyHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Global.LightSwitchApplication.SupplyHeader).Entry( _
                        "SupplyHeader", _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._SupplyHeader_Stub, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._SupplyHeader_ComputeIsReadOnly, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._SupplyHeader_Validate, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._SupplyHeader_GetCoreImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._SupplyHeader_GetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._SupplyHeader_SetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._SupplyHeader_Refresh, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._SupplyHeader_OnValueChanged)
                Private Shared Sub _SupplyHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SuppliedProduct.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Global.LightSwitchApplication.SupplyHeader).Data), d As __SuppliedProduct.DetailsClass, sf As Object)
                    c(d, d._SupplyHeader, sf)
                End Sub
                Private Shared Function _SupplyHeader_ComputeIsReadOnly(e As __SuppliedProduct) As Boolean
                    Dim result As Boolean = False
                    e.SupplyHeader_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _SupplyHeader_Validate(e As __SuppliedProduct, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.SupplyHeader_Validate(r)
                End Sub
                Private Shared Function _SupplyHeader_GetCoreImplementationValue(d as __SuppliedProduct.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.SupplyHeader
                End Function
                Private Shared Function _SupplyHeader_GetImplementationValue(d as __SuppliedProduct.DetailsClass) As Global.LightSwitchApplication.SupplyHeader
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.SupplyHeader, Global.LightSwitchApplication.SupplyHeader.DetailsClass)(__SuppliedProduct.DetailsClass.PropertySetProperties.SupplyHeader, d._SupplyHeader)
                End Function
                Private Shared Sub _SupplyHeader_SetImplementationValue(d As __SuppliedProduct.DetailsClass, v As Global.LightSwitchApplication.SupplyHeader)
                    d.SetImplementationValue(__SuppliedProduct.DetailsClass.PropertySetProperties.SupplyHeader, d._SupplyHeader, Sub(i, ev) i.SupplyHeader = ev, v)
                End Sub
                Private Shared Sub _SupplyHeader_Refresh(d As __SuppliedProduct.DetailsClass)
                    d.RefreshNavigationProperty(__SuppliedProduct.DetailsClass.PropertySetProperties.SupplyHeader, d._SupplyHeader)
                End Sub
                Private Shared Sub _SupplyHeader_OnValueChanged(e As __SuppliedProduct)
                    e.SupplyHeader_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InvoiceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Entry( _
                        "InvoiceHeader", _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._InvoiceHeader_Stub, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._InvoiceHeader_ComputeIsReadOnly, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._InvoiceHeader_Validate, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._InvoiceHeader_GetCoreImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._InvoiceHeader_GetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._InvoiceHeader_SetImplementationValue, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._InvoiceHeader_Refresh, _
                        AddressOf __SuppliedProduct.DetailsClass.PropertySetProperties._InvoiceHeader_OnValueChanged)
                Private Shared Sub _InvoiceHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SuppliedProduct.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Data), d As __SuppliedProduct.DetailsClass, sf As Object)
                    c(d, d._InvoiceHeader, sf)
                End Sub
                Private Shared Function _InvoiceHeader_ComputeIsReadOnly(e As __SuppliedProduct) As Boolean
                    Dim result As Boolean = False
                    e.InvoiceHeader_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _InvoiceHeader_Validate(e As __SuppliedProduct, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.InvoiceHeader_Validate(r)
                End Sub
                Private Shared Function _InvoiceHeader_GetCoreImplementationValue(d as __SuppliedProduct.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.InvoiceHeader
                End Function
                Private Shared Function _InvoiceHeader_GetImplementationValue(d as __SuppliedProduct.DetailsClass) As Global.LightSwitchApplication.InvoiceHeader
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.InvoiceHeader, Global.LightSwitchApplication.InvoiceHeader.DetailsClass)(__SuppliedProduct.DetailsClass.PropertySetProperties.InvoiceHeader, d._InvoiceHeader)
                End Function
                Private Shared Sub _InvoiceHeader_SetImplementationValue(d As __SuppliedProduct.DetailsClass, v As Global.LightSwitchApplication.InvoiceHeader)
                    d.SetImplementationValue(__SuppliedProduct.DetailsClass.PropertySetProperties.InvoiceHeader, d._InvoiceHeader, Sub(i, ev) i.InvoiceHeader = ev, v)
                End Sub
                Private Shared Sub _InvoiceHeader_Refresh(d As __SuppliedProduct.DetailsClass)
                    d.RefreshNavigationProperty(__SuppliedProduct.DetailsClass.PropertySetProperties.InvoiceHeader, d._InvoiceHeader)
                End Sub
                Private Shared Sub _InvoiceHeader_OnValueChanged(e As __SuppliedProduct)
                    e.InvoiceHeader_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ProductName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Quantity As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Double).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Comment As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SupplyHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Global.LightSwitchApplication.SupplyHeader).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InvoiceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SuppliedProduct, __SuppliedProduct.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
